<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2002</year><year>2016</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at
 
          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
    
    </legalnotice>

    <title>debugger</title>
    <prepared></prepared>
    <docno></docno>
    <date></date>
    <rev></rev>
  </header>
  <module since="">debugger</module>
  <modulesummary>Erlang Debugger.</modulesummary>
  <description>
    <p>Erlang Debugger for debugging and testing of Erlang programs.</p>
  </description>

  <funcs>
    <func>
      <name since="">start()</name>
      <name since="">start(File)</name>
      <name since="">start(Mode)</name>
      <name since="">start(Mode, File)</name>
      <fsummary>Start Debugger.</fsummary>
      <type>
	<v>Mode = local | global</v>
	<v>File = string()</v>
      </type>
      <desc>
	<p>Starts Debugger.</p>
	
	<p>If a filename is specified as argument, Debugger tries to load
	  its settings from this file. For details about settings, see
	  the User's Guide.</p>

	<p>If <c>local</c> is specified as argument, Debugger interprets
	  code only at the current node. If <c>global</c> is specified as
	  argument, Debugger interprets code at all known nodes, this
	  is the default.</p>
      </desc>
    </func>

    <func>
      <name since="">quick(Module, Name, Args)</name>
      <fsummary>Debug a process.</fsummary>
      <type>
	<v>Module = Name = atom()</v>
	<v>Args = [term()]</v>
      </type>
      <desc>
	<p>Debugs a single process. The module <c>Module</c> is interpreted
	  and <c>apply(Module,Name,Args)</c> is called. This opens an
	  Attach Process window. For details, see the User's Guide.</p>
      </desc>
    </func>
  </funcs>
</erlref>


